# Public Elements

## The Decorator

**Module:** `pytest_csv_params.decorator`

```{eval-rst}
.. automodule:: pytest_csv_params.decorator
   :members:
   :undoc-members:
```

## The CSV Dialect

**Module:** `pytest_csv_params.dialect`

```{eval-rst}
.. automodule:: pytest_csv_params.dialect
   :members:
```

## The Exceptions

**Module:** `pytest_csv_params.exception`

```{eval-rst}
.. automodule:: pytest_csv_params.exception
   :members:
```

## Plugin Code

**Module:** `pytest_csv_params.plugin`

```{eval-rst}
.. automodule:: pytest_csv_params.plugin
   :members:
   :undoc-members:
```

## Types

**Module:** `pytest_csv_params.types`

```{eval-rst}
.. automodule:: pytest_csv_params.types
   :members:
   :undoc-members:
```
